summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/vmchooser/files/run-virt.sh
diff options
context:
space:
mode:
authorDirk von Suchodoletz2009-02-19 03:22:13 +0100
committerDirk von Suchodoletz2009-02-19 03:22:13 +0100
commitec7d9e4583d80e65163061132346b2db4907b7c7 (patch)
treeb048d948d83b73e7782c5a43e1110957c31a7e22 /os-plugins/plugins/vmchooser/files/run-virt.sh
parentMore fixes for virtualbox plugin (still not operable). (diff)
downloadcore-ec7d9e4583d80e65163061132346b2db4907b7c7.tar.gz
core-ec7d9e4583d80e65163061132346b2db4907b7c7.tar.xz
core-ec7d9e4583d80e65163061132346b2db4907b7c7.zip
Do not depend the vmchooser on vmware plugin.
git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2617 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/vmchooser/files/run-virt.sh')
-rw-r--r--os-plugins/plugins/vmchooser/files/run-virt.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/os-plugins/plugins/vmchooser/files/run-virt.sh b/os-plugins/plugins/vmchooser/files/run-virt.sh
index 7cb8b36b..205179e7 100644
--- a/os-plugins/plugins/vmchooser/files/run-virt.sh
+++ b/os-plugins/plugins/vmchooser/files/run-virt.sh
@@ -26,7 +26,7 @@
# test if the xml path/file is valid (gotten via commandline first parameter)
xml=$1
-[ -e "${xml}" ] || { echo -e "\n\tNo XML file given!\n" && exit 1; }
+[ -e "${xml}" ] || { echo -e "\n\tNo XML file given!\n"; exit 1; }
# path to the xml file(just take the path to the xml file)
imagepath=${xml%/*}
@@ -37,6 +37,7 @@ imagepath=${xml%/*}
# file name of the image
imagename=$(grep -i "<image_name param=\"" ${xml} | awk -F "\"" '{ print $2 }')
diskfile=$imagepath/$imagename
+[ -e $diskfile ] && { echo -e "\n\tImage file $diskfile not found!"; exit 1; }
# short description of the image (as present in the vmchooser menu line)
short_description=$(grep "short_description param=\"" ${xml} | \